<Manage::FieldContainer @title={{@title}} @isDisabled={{@isDisabled}} @isSaveDisabled={{this.isDisabled}}
  @editablePanel={{@editablePanel}} @onEdit={{@onEdit}} @onSave={{this.save}} @onCancel={{this.cancel}} {{did-insert this.setup}} {{did-update this.setup @value}} ...attributes>
  <:view>
    {{#if this.hasNoStyles}}
      <div class="alert alert-info" role="alert">
        {{t "space-no-custom-font-style-message"}}
      </div>
    {{/if}}

    {{#each this.styles as |style|}}
      {{#if style.list}}
        <div class="mb-3 style-item">
          <label class="form-label lh-1 fw-bold text-primary d-block style-name"
            for="{{this.elementId}}-{{style.name}}">{{t (concat "font-" style.name)}}</label>
          <div class="preview-text lh-1 {{style.cls}}">{{this.previewValue}}</div>
          <div>
            {{#each style.list as |class|}}
              <em class="me-3 fs-7 text-muted">{{class}}</em>
            {{/each}}
          </div>
        </div>
      {{/if}}
    {{/each}}
  </:view>

  <:edit>

    {{#each this.styles as |style|}}

      <div class="mb-3 style-item">
        <label class="form-label fw-bold text-primary d-block style-name"
          for="{{this.elementId}}-{{style.name}}">{{t (concat "font-" style.name)}}</label>
        <Input::FontStyle @value={{style.list}} @onChange={{fn this.change style.name}} />
      </div>

    {{/each}}
  </:edit>
</Manage::FieldContainer>